Subject: Re: bug#6705: w32 cmdproxy.c pass args to cygwin; erroneous charset conversion (problem description, solution/suggestion)

From: Laimonas Vėbra <[email-masked]>
Date: Fri, 23 Jul 2010 22:51:09 +0300

Juanma Barranquero wrote:
> On Fri, Jul 23, 2010 at 17:35, Laimonas Vėbra<[email-masked]>  wrote:
>
>> bzr log says that much of the active development of the w32proc.c and others
>> actually ended somewhere in the 2001-2003... ;-)
>
> Are you volunteering? By all means, welcome aboard!

I'd like to and if you haven't noticed -- i'am trying... ;-)

> Because the Cygwin build works pretty well when your environment is
> Cygwin. And some of us, to put it mildly, wouldn't touch that crap
> again if it were the last working environment on the surface of the
> Earth. I certainly don't plan to spend a second making Emacs work
> better with Cygwin (tought of course I have nothing against other
> people doing it; I'm not an anti-Cygwin zealot).

And that is why i also prefer native build of Emacs (and think, that it 
should be less buggy).
I suppose, that making it work better with Cygwin (like other external 
apps) would just make it better.
In the sources there are already much (well, not so little) of the 
cygwin related stuff, so if it ain't going to be dropped, then why it 
couldn't/shouldn't be improved?

>
>> Same question -- why when bother with w32 development at all?
>
> Seems like there's a sizable user base of non-Cygwin users of Emacs on
> Windows. And some of us like to work on Emacs development.

That question implied, that it's worth to improve w32.